Commit 17531fe4 authored by Leo's avatar Leo Committed by Francesco Colista

main/api-sanity-checker: modernize, fix url

parent d294f872
# Contributor:
# Maintainer:
# Contributor:
# Maintainer:
pkgname=api-sanity-checker
pkgver=1.98.7
pkgrel=0
pkgrel=1
pkgdesc="A tool for creating automated test suites from any set of C sources"
url="http://ispras.linuxbase.org/index.php/API_Sanity_Autotest"
url="https://lvc.github.io/api-sanity-checker/"
arch="noarch"
license="LGPL-2.0-or-later"
depends="perl build-base"
depends_dev=""
makedepends="$depends_dev perl-dev abi-compliance-checker"
install=""
subpackages=""
makedepends="perl-dev abi-compliance-checker"
source="$pkgname-$pkgver.tar.gz::https://github.com/lvc/api-sanity-checker/archive/$pkgver.tar.gz"
_builddir="${srcdir}"/$pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
}
build() {
cd "$_builddir"
return 0
}
package() {
cd "$_builddir"
mkdir -p "$pkgdir"/usr
perl Makefile.pl -install --prefix=/usr --destdir="$pkgdir" || return 1
perl Makefile.pl -install --prefix=/usr --destdir="$pkgdir"
}
md5sums="420383daff6d30a5daecb8374b79b694 api-sanity-checker-1.98.7.tar.gz"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment